/* show warning */
 
 .warning {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 100;
    place-content: center;
    font-size: 2rem;
    
    p {
       position: relative;
       background: #fff;
       padding: 3rem;
       font-weight: 400;
       border: 3px rgba(223, 151,132) solid;
       border-radius: 1rem;
       inline-size: min(45rem, 85vw);
       box-shadow: 0 0 0 50vmax rgba(131, 163, 172, .7);
       -webkit-background-clip: text;
       color: transparent;
       background-image:  linear-gradient(125deg, 
       rgb(131, 163, 172), rgba(223, 151,132));
       
       &::before {
          content: "⚠️" / "warning!";
          position: absolute;
          inset: 0;
          z-index: -1;
          background: #fff;
       }
    }
 
 }
 
 body:hover .warning {
    @supports (not (animation-timeline: view())) {
       display: grid;
    } 
 }
 
 
 /* fix images */
 span:has(> img) {
    aspect-ratio: 90 / 100;
    display: block;
    overflow: hidden;
 
    img {
       inline-size: 115%;
       max-inline-size: 115%;
    }
 }
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 /* show warning */
 
 .warning {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 100;
    place-content: center;
    font-size: 2rem;
    
    p {
       position: relative;
       background: #fff;
       padding: 3rem;
       font-weight: 400;
       border: 3px rgba(223, 151,132) solid;
       border-radius: 1rem;
       inline-size: min(45rem, 85vw);
       box-shadow: 0 0 0 50vmax rgba(131, 163, 172, .7);
       -webkit-background-clip: text;
       color: transparent;
       background-image:  linear-gradient(125deg, 
       rgb(131, 163, 172), rgba(223, 151,132));
       
       &::before {
          content: "⚠️" / "warning!";
          position: absolute;
          inset: 0;
          z-index: -1;
          background: #fff;
       }
    }
 
 }
 
 body:hover .warning {
    @supports (not (animation-timeline: view())) {
       display: grid;
    } 
 }
 
 
 /* fix images */
 span:has(> img) {
    aspect-ratio: 86 / 100;
    display: block;
    overflow: hidden;
 
    img {
       inline-size: 115%;
       max-inline-size: 115%;
    }
 }






 /* line */
 .line{
   position: fixed;
   bottom: 5%;
   right: 10%;
   z-index: 977;
 }
 
 .line img{
   width: 65px;
   height: 65px;
 } 

 .line a:hover img {
   transform: scale(1.2);
}



/* show warning */

.warning {
   display: none;
   position: fixed;
   inset: 0;
   z-index: 100;
   place-content: center;
   font-size: 2rem;
   
   p {
      position: relative;
      background: #fff;
      padding: 3rem;
      font-weight: 400;
      border: 3px rgba(223, 151,132) solid;
      border-radius: 1rem;
      inline-size: min(45rem, 85vw);
      box-shadow: 0 0 0 50vmax rgba(131, 163, 172, .7);
      -webkit-background-clip: text;
      color: transparent;
      background-image:  linear-gradient(125deg, 
      rgb(131, 163, 172), rgba(223, 151,132));
      
      &::before {
         content: "⚠️" / "warning!";
         position: absolute;
         inset: 0;
         z-index: -1;
         background: #fff;
      }
   }

}

body:hover .warning {
   @supports (not (animation-timeline: view())) {
      display: grid;
   } 
}


/* fix images */
span:has(> img) {
   aspect-ratio: 86 / 100;
   display: block;
   overflow: hidden;

   img {
      inline-size: 115%;
      max-inline-size: 115%;
   }
}



 /* contacts */
 
 body {
   transition: opacity 2s ease-out; /* 讓畫面淡出 */
}

@keyframes fadeIn {
   from {
     opacity: 0;
   }
   to {
     opacity: 1;
   }
 }

.contact-page {
  animation: fadeIn 2s ease-in-out;
} 

.close-btn {
   position: fixed;
   bottom: 5%;
   left: 10%;
   font-size: 1rem;
   font-weight: lighter;
   color: rgb(207, 207, 207);
   letter-spacing: 0.2rem;
   border: none;
   width: 30px;
   height: 30px;
   border-radius: 50%;
   cursor: pointer;
   display: flex;
   align-items: center;
   justify-content: center;
   z-index: 2222!important;
   background-color: transparent !important; 
 }

.contact-page header{
   z-index: 1112!important;
}


.close-btn:hover {
   background: rgb(207, 207, 207);
}

form , .contact-container h2, .contact-container p, ::placeholder{
   letter-spacing: 0.05em;

 }

 .contact-container h2{
font-weight: normal;
 }
 

 body {
   transition: opacity 2s ease-out; /* 讓畫面淡出 */
}




 /* about */
.abouttxt{
   width: 100%;
   /* height: 100%; */
   z-index: 1110!important;
   display: flex;
  justify-content: center; /* 水平置中 */
  align-items: center; /* 垂直置中 */
  height: 100vh;
}

/* ---- 手機版調整（當寬度大於 1000px 時適用）---- */
@media (min-width: 1000px) {
   .abouttxt .txt{
      padding: 250px;
   }
}


/* ---- 手機版調整（當寬度小於 999px 時適用）---- */
@media (max-width: 999px) {
   .abouttxt .txt{
      padding: 50px;
   }
}




@keyframes move_wave {
   0% {
       transform: translateX(0) translateZ(0) scaleY(1)
   }
   50% {
       transform: translateX(-25%) translateZ(0) scaleY(0.55)
   }
   100% {
       transform: translateX(-50%) translateZ(0) scaleY(1)
   }
}
.waveWrapper {
   overflow: hidden;
   position: absolute;
   left: 0;
   right: 0;
   bottom: 0;
   top: 0;
   margin: auto;
}
.waveWrapperInner {
   position: absolute;
   width: 100%;
   overflow: hidden;
   height: 100%;
   bottom: -1px;
   background-image: linear-gradient(to top, rgba(128, 128, 128) 20%, rgba(192, 192, 192) 80%);
}

.bgTop {
   z-index: 15;
   opacity: 0.5;
}
.bgMiddle {
   z-index: 10;
   opacity: 0.75;
}
.bgBottom {
   z-index: 5;
}
.wave {
   position: absolute;
   left: 0;
   width: 200%;
   height: 100%;
   background-repeat: repeat no-repeat;
   background-position: 0 bottom;
   transform-origin: center bottom;
}
.waveTop {
   background-size: 50% 100px;
}
.waveAnimation .waveTop {
 animation: move-wave 3s;
  -webkit-animation: move-wave 3s;
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}
.waveMiddle {
   background-size: 50% 120px;
}
.waveAnimation .waveMiddle {
   animation: move_wave 10s linear infinite;
}
.waveBottom {
   background-size: 50% 100px;
}
.waveAnimation .waveBottom {
   animation: move_wave 15s linear infinite;
}

.portfolio li{
   
}











:root{
   --clr-bg: black;
   --clr-txt: white;
   --clr-cta: rgb(2, 132, 199);
   --width: 40px;
 }
 html{
    scroll-behavior: smooth;
 }
 body{
   background: linear-gradient(125deg, 
   rgb(0, 0, 0),rgb(68, 68, 68),rgb(0, 0, 0));
   color: var(--clr-txt);
   font-family: 'Noto Sans TC', 'Helvetica', sans-serif;
   margin: 0;
   padding: 0;
   display: flex;
   justify-content: center;
   align-items: center;
   
 }


 .about-page{
   background: black;
   min-height: 150svh;
   animation: fadeIn 2s ease-in-out;
 }

 
 /* Default message styling (visible initially) */
 .support-message {
   border: 1px solid white;
   width: fit-content;
   padding: .5rem 1rem;
   text-align: center;
   margin: 1rem auto;
   isolation: isolate;
 }
 
 @supports (animation-timeline: scroll()) {
   .support-message{
     display: none !important;
   }
 }
 
 
 .wrapper{
   position: fixed;
   inset: 0;
   margin: auto;
   height: 250px;
   /*outline: 1px dashed red;*/
   /*background: #444;*/
 }

 @media (min-width: 499px){
   .wrapper{
      width: 520px;
   }
 }

 @media (max-width: 500px){
   .wrapper{
     transform-origin: center;
     scale: .8; /* hack to make it work on smaller screens*/
   }
 }
 .wrapper p{
   position: absolute;
   font-size: 2rem;
   margin: 0;
   padding: 0;
   z-index: -2;
 }
 p:nth-child(1){
   --y: 0px;
 }
 
 p:nth-child(2){
   --y: 75px;
   /*color: var(--clr-cta);*/
 }
 p:nth-child(3){
   --y: 150px;
   color: #fff;
 }
 p:nth-child(4){
   --y: 0px;
 }
 p:nth-child(5){
   --y: 75px;
 }
 p:nth-child(6){
   --y: 150px;
   color: #fff;
 }
 p > span{
   position: absolute;
   top: 0;
   left: 0;
   translate: var(--x) var(--y);
   /*outline: 1px dashed red;*/
 }
 /*
 p:nth-child(1) span:nth-child(4) > svg{
   position: relative;
   width: 3rem;
   translate: -4px 4px;
   stroke-width: 2.75px;
   color: var(--clr-cta);
 }
 p:nth-child(1) span:nth-child(4) > svg > path:last-child{
   stroke-width: 1.75px;
 }
 */
 
 /* "o" in scroll */
 p:nth-child(1) span:nth-child(4){
   /* color: var(--clr-cta); */
 }
 p:nth-child(1) span:nth-child(4)::after,
 p:nth-child(1) span:nth-child(4)::before{
   content: '';
   position: absolute;
   left: 50%;
   translate: -50% 0;
   border-radius: 3px;
 }
 p:nth-child(1) span:nth-child(4)::before{
   top: 215px;
   width: 3px;
   height: 7px;
   background-color: #666;
 }
 p:nth-child(1) span:nth-child(4)::after{
   bottom: -180px;
   width: 6px;
   height: 6px;
   border: 2px solid #666;
   rotate: 45deg;
   clip-path: polygon(100% 0, 100% 100%, 0 100%);
   animation: indicator 1000ms ease-out infinite;
   animation-direction: alternate;
 }
 @keyframes indicator{
   to{
     translate: -50% 7px;
   }
 }
 
 
 /* invisible stripes */
 .wrapper::before{
   --bg-stripe: var(--clr-bg);
   --bg-stripe-2: #0000;
   content: '';
   position: absolute;
   inset: 0;
   background: 
         repeating-linear-gradient(to right,
         var(--bg-stripe),
         var(--bg-stripe) var(--width),
         var(--bg-stripe-2) var(--width),
         var(--bg-stripe-2) calc(var(--width) * 2))
     ; 
   background-position: 0;
   animation: reveal linear both;
   animation-timeline: scroll();
   animation-duration: 1ms; /* this gets it working in Firefox */
   translate: var(--width) 0;
 }
 
 @keyframes reveal{
   to{
     translate: 0 0;
   }
 }




.contact-container {
   /* background-color: #fff; */
   padding: 20px;
   border-radius: 8px;
   /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
   max-width: 600px;
   width: 100%;
}
h2 {
   text-align: center;
   color: rgb(255, 255, 255);
   letter-spacing: 0.15em!important;
   margin-bottom: 8px; /* 新增這一行減少與下方段落距離 */
}


.contact-container > p {
   text-align: center;
   color: #ccc;
   margin-top: 0px;     /* 減少與上方標題距離 */
   margin-bottom: 20px; /* 保留與表單距離的緩衝 */
}

p {
   text-align: center;
   color: #666;
}
#line-prompt p{
   color: rgb(253, 47, 47)!important;
}

.form-group {
   margin-bottom: 15px;
}
label {
   display: block;
   margin-bottom: 5px;
   color: rgb(255, 255, 255);
}
input[type="text"],
input[type="email"],
input[type="tel"],
select,
textarea {
   width: 100%;
   padding: 10px;
   border: 1px solid #ccc;
   border-radius: 4px;
   box-sizing: border-box;
}
textarea {
   resize: vertical;
}

/* 產業類型 & 需求類別（複選框樣式） */
.checkbox-group {
   display: grid;
   grid-template-columns: repeat(3, 1fr);
   gap: 10px;
}
.checkbox-group label {
   display: flex;
   align-items: center;
   gap: 5px;
   /* background-color: #f9f9f9; */
   padding: 5px 10px;
   border-radius: 4px;
   cursor: pointer;
}
input[type="checkbox"] {
   margin: 0;
}

/* 送出按鈕 */
.contact-container button {
   width: 100%;
   color: white;
   background-color: #333;
   padding: 10px;
   border: none;
   border-radius: 4px;
   cursor: pointer;
   font-size: 16px;
   margin-bottom: 35px;
}

.required {
   color: red;
}
#other-industry-input {
   display: none;
   margin-top: 10px;
}

/* 讓複選框對齊 */
.checkbox-group input[type="checkbox"] {
   width: 18px;
   height: 18px;
   cursor: pointer;
}


button:hover {
   background-color: #555;
}

.contact-container {
   padding: 20px;
   border-radius: 8px;
   box-shadow: box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.modal-overlay {
   position: fixed;
   z-index: 9999;
   top: 0; left: 0; right: 0; bottom: 0;
   display: none;
   background-color: rgba(0, 0, 0, 0.7);
   justify-content: center;
   align-items: center;
 }
 
 .modal-box {
   background-color: #fff;
   color: #000;
   padding: 1rem 2rem;
   border-radius: 10px;
   text-align: center;
   max-width: 300px;
   width: 80%;
 }
 
 .modal-box p {
   margin-bottom: 1rem;
   letter-spacing: 0.05em;
 }
 
 
 .modal-buttons button {
   margin:  2rem 0.5rem 1rem 0.5rem;
   padding: 0.2rem 0.5rem;
   background-color: #333;
   color: #fff;
   border: none;
   border-radius: 3px;
   cursor: pointer;
 }
 
 .modal-buttons button:hover {
   background-color: #555;
 }
 
 .modal-buttons button{
   letter-spacing: 0.15em;
 }